Package org.eclipse.birt.report.model.api

# Class SearchKeyHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.SearchKeyHandle

public class SearchKeyHandle extends StructureHandle
Represents the handle of key used for search. The search key is the search criteria which is used when we defined drill-through action in some report item, such as label item, image item and so on. It's provided for drill-through contents. Each search key has the following properties:

Expression
  an expression of the search key for the drill-through.

See Also:
  - `ActionHandle`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`SearchKeyHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of search key.

## Method Summary

Modifier and Type
Method
Description
`String`
`getExpression()`
Returns the expression of this search key.
`void`
`setExpression(String expression)`
Sets the expression of this search key.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SearchKeyHandle

public SearchKeyHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of search key.

Parameters:
  `valueHandle` - the value handle for search key list of one property
  `index` - the position of this search key in the list

## Method Details

### getExpression

public String getExpression()
Returns the expression of this search key.

Returns:
  the expression of this search key.

### setExpression

public void setExpression(String expression)
Sets the expression of this search key.

Parameters:
  `expression` - the expression to set